package org.ssssssss.magicboot.zdyutils;

import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;

public class HttpSend {
    public static synchronized String sendMagicGet(String url,String jsonPath){
        System.out.println(url);
        try {
            String obj = HttpRequest.get(url)
                    .timeout(130000)
                    .execute()
                    .body();
            JSONObject res = JSONObject.parseObject(obj);
            if(res!=null && "200".equals(res.getString("code"))){
                if(StringUtils.isNoneBlank(jsonPath)){
                    return (String) GcjJson.getNodeValue(res,jsonPath);
                }
                return obj;
            }else{
                System.out.println("Magic："+url);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }
    public static synchronized String sendMagicPost(String url,JSONObject jsonPath){
        try {
            String obj = HttpRequest.post(url)
                    .timeout(30000)
                    .form(jsonPath)
                    .execute()
                    .body();
            JSONObject res = JSONObject.parseObject(obj);
            if(res!=null && "200".equals(res.getString("code"))){
                return obj;
            }else{
                System.out.println("NC"+res);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }
}
